complexType "FloatingPriceLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 22 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, (calculationDates? | calculationPeriods? | calculationPeriodsSchedule? | calculationPeriodsReference? | calculationPeriodsScheduleReference? | calculationPeriodsDatesReference?), commodity?, (((notionalQuantitySchedule? | notionalQuantity? | settlementPeriodsNotionalQuantity*), totalNotionalQuantity?) | quantityReference?), calculation?, (relativePaymentDates? | paymentDates? | masterAgreementPaymentDates?), (flatRate?, flatRateAmount?)?
</...>

Content Model Elements (22):

  calculation (in floatingLeg),
  calculationDates (defined in CommodityCalculationPeriods.model group),
  calculationPeriods (defined in CommodityCalculationPeriods.model group),
  calculationPeriodsDatesReference,
  calculationPeriodsReference,
  calculationPeriodsSchedule (defined in CommodityCalculationPeriods.model group),
  calculationPeriodsScheduleReference,
  commodity (in floatingLeg),
  flatRate,
  flatRateAmount,
  masterAgreementPaymentDates,
  notionalQuantity,
  notionalQuantitySchedule,
  payerAccountReference,
  payerPartyReference,
  paymentDates (defined in CommodityNonPeriodicPaymentDates.model group),
  quantityReference (defined in CommodityNotionalQuantity.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  relativePaymentDates,
  settlementPeriodsNotionalQuantity,
  totalNotionalQuantity

All Direct / Indirect Based Elements (1):

  floatingLeg

Known Usage Locations

- As direct type of elements (1):
  floatingLeg

Annotation
Floating Price Leg of a Commodity Swap.
Type Definition Detail

Type Derivation Tree Leg (extension) FloatingPriceLeg

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FloatingPriceLeg"> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:group ref="CommodityCalculationPeriods.model"/> <xsd:element minOccurs="0" name="commodity" type="Commodity"/> <xsd:group ref="CommodityNotionalQuantity.model"/> <xsd:element minOccurs="0" name="calculation" type="FloatingLegCalculation"/> <xsd:group ref="CommodityPaymentDates.model"/> <xsd:group minOccurs="0" ref="CommodityFreightFlatRate.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/22)
calculation

  Type: | FloatingLegCalculation, complex content

  Defines details relevant to the calculation of the floating price.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculation" type="FloatingLegCalculation"/>

commodity

  Type: | Commodity, complex content

  Specifies the underlying instrument. At this time, only underlyers of type Commodity are supported; the choice group in the future could offer the possibility of adding other types later.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commodity" type="Commodity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.